%% Expcode setup
obj=SCDexpcodeconf_node06_cfs_test;
obj.init;
obj.setup;

%% expcode actualize
obj.actualize(-1);

%% expcode simulate
sim('cfssystem');

%% wrappers build
SCDconf_setConf('configurationSettingsCODEgcc');
load_system('SCDwrap_cfs1');
rtwbuild('SCDwrap_cfs1');
load_system('SCDwrap_cfs2');
rtwbuild('SCDwrap_cfs2');

%% MARTe2 cfg file autogeneration
cd marte2cfg/2threads/
algo_cfs1and2_create_marte2_cfg;
cd ../..

%% Transfer gencode and cfg to the realtime machine
system('scp marte2cfg/2threads/algo_cfs1and2_2threads.cfg    root@node06:/root/MARTe2-examples/Configurations');
system('scp /home/galperti/gencodes/CodeGenFolder-1/SCDwrap_cfs1.so  root@node06:/root/MARTe2-examples/Simulinkso');
system('scp /home/galperti/gencodes/CodeGenFolder-1/SCDwrap_cfs2.so  root@node06:/root/MARTe2-examples/Simulinkso');

%% MARTe2 run
system('ssh root@node06 ''source /etc/profile; cd MARTe2-examples; ./runcfs.sh''');

%% MARTe2 output retrieval
mdsconnect('scd');
marteshot=mdsopen('scdds',0)

cfs1signal1marte2=tdi('cfs1.outputs.cfs1.signal1');
cfs1signal2marte2=tdi('cfs1.outputs.cfs1.signal2');
cfs1signal3marte2=tdi('cfs1.outputs.cfs1.signal3');
cfs1signal4marte2=tdi('cfs1.outputs.cfs1.signal4');
cfs2signal1marte2=tdi('cfs2.outputs.cfs2.signal1');
cfs2signal2marte2=tdi('cfs2.outputs.cfs2.signal2');
cfs2signal3marte2=tdi('cfs2.outputs.cfs2.signal3');
cfs2signal4marte2=tdi('cfs2.outputs.cfs2.signal4');


%% Plot combined simulation / realtime ouput signals
figure(1);
clf
hold on

plot(cfs1simout.cfs1.signal1,'k--');%'LineWidth',4);
plot(cfs1simout.cfs1.signal2,'k--');%'LineWidth',4);
%plot(cfs1simout.cfs1.signal3,'k--');%'LineWidth',4);
plot(cfs1simout.cfs1.signal4,'k--');%'LineWidth',4);

plot(cfs2simout.cfs2.signal1,'k--');%'LineWidth',4);
plot(cfs2simout.cfs2.signal2,'k--');%'LineWidth',4);
%plot(cfs2simout.cfs2.signal3,'k--');%'LineWidth',4);
plot(cfs2simout.cfs2.signal4,'k--');%'LineWidth',4);

plot(cfs1signal1marte2,'r');
plot(cfs1signal2marte2,'r');
%plot(cfs1signal3marte2,'r');
plot(cfs1signal4marte2,'r');

plot(cfs2signal1marte2,'r');
plot(cfs2signal2marte2,'r');
%plot(cfs2signal3marte2,'r');
plot(cfs2signal4marte2,'r');

xlim([0 3]);
grid on



